RHEL 2.1 : kernel (RHSA-2002:128)

This script is Copyright (C) 2004-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

This kernel update is available for Red Hat Linux Advanced Server 2.1.

It includes a fix for an information security bug, various kernel bug
fixes, and updated device drivers.

[2002-07-29] This release is a rebuild for adding exported symbols for
Veritas.

This kernel fixes an information security bug. When running enterprise
kernels previous to version 2.4.9-e.8, information in the Intel SSE
XMM registers could 'leak' between processes under certain
circumstances.

This update also includes fixes for the following bugs :

- Creation of an Oracle SGA greater than 8 GB on 16 GB or
greater machine when using bigpages and shmfs - Sendmail
running out of flocks - Unreliable rebooting with the
'reboot=bios' boot option - Potential memory corruption
on systems with more than 4 GB - An AIO write deadlock -
IOAPIC warnings on one platform - Potentially
miscompiled code in xor.h (though kernel engineering
research does not indicate that our compiler miscompiles
this code)

This kernel also has extra exported symbols removed.

This new kernel also includes several updated device drivers. The
aic7xxx_mod driver has been updated to a new version, fixing several
bugs, the tg3 driver has also been updated to a new version to fix
various bugs, and the qla2300 driver has some small bug fixes and has
been updated to work with the QLogic 2340 HBA and PowerVault 660F
arrays. Additions to the SCSI LUNs 'white list' have also been made to
support more fibre channel arrays.

[2002-07-29] This new kernel is a rebuild for adding exported symbols
for Veritas.

See also :

https://www.redhat.com/security/data/cve/CVE-2002-1571.html
http://rhn.redhat.com/errata/RHSA-2002-128.html

Solution :

Update the affected packages.

Risk factor :

Low / CVSS Base Score : 2.1
(CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 12306 ()

Bugtraq ID:

CVE ID: CVE-2002-1571